Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063298 - MAC address incorrectly displayed
Summary: MAC address incorrectly displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iftop
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 12:56 UTC by Jiri Popelka
Modified: 2016-12-10 02:51 UTC (History)
3 users (show)

Fixed In Version: iftop-1.0-0.12.pre4.fc25 iftop-1.0-0.12.pre4.fc24 iftop-1.0-0.12.pre4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-04 02:25:50 UTC


Attachments (Terms of Use)
patch (deleted)
2014-02-10 12:56 UTC, Jiri Popelka
no flags Details | Diff

Description Jiri Popelka 2014-02-10 12:56:45 UTC
Created attachment 861385 [details]
patch

Description of problem:
When I quit iftop I see interface, IP address and MAC address displayed, but the MAC address is incorrect.

Version-Release number of selected component (if applicable):
iftop-1.0-0.7.pre4.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. run iftop
2. stop

Actual results:
MAC address is: 00:23:7d:ffffffc3:ffffffca:2c

Expected results:
MAC address is: 00:23:7d:c3:ca:2c

Additional info:
attached patch fixes the problem for me

Comment 1 Robert Scheck 2014-02-10 14:12:04 UTC
Thank you for reporting this (including the patch). I already noticed this
and let upstream know. However I suggested to change the variable without a
cast during usage.

Comment 2 Anssi Johansson 2014-03-01 23:49:34 UTC
This also affects EPEL5 (iftop-1.0-0.7.pre4.el5) and EPEL6 (iftop-1.0-0.7.pre4.el6).

Comment 3 Robert Scheck 2014-03-02 00:04:49 UTC
Yes, this affects any branch. I am waiting for upstream for a new pre-release
given that there are some other issues...

Comment 4 Jaroslav Reznik 2015-03-03 16:58:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 20:05:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jiri Popelka 2016-08-03 08:48:20 UTC
Still the same with iftop-1.0-0.11.pre4.fc24.x86_64

Comment 7 Robert Scheck 2016-11-29 22:50:52 UTC
I'm still lacking a response from upstream, going to add my proposed patch
to the iftop RPM package now (to undo the regression).

Comment 8 Fedora Update System 2016-11-29 22:57:26 UTC
iftop-1.0-0.12.pre4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ef531ed38

Comment 9 Fedora Update System 2016-11-29 22:58:02 UTC
iftop-1.0-0.12.pre4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5762469251

Comment 10 Fedora Update System 2016-11-29 22:58:34 UTC
iftop-1.0-0.12.pre4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54fc3c907c

Comment 11 Fedora Update System 2016-12-01 23:58:01 UTC
iftop-1.0-0.12.pre4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54fc3c907c

Comment 12 Fedora Update System 2016-12-03 04:32:10 UTC
iftop-1.0-0.12.pre4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ef531ed38

Comment 13 Fedora Update System 2016-12-03 05:39:35 UTC
iftop-1.0-0.12.pre4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5762469251

Comment 14 Fedora Update System 2016-12-04 02:25:50 UTC
iftop-1.0-0.12.pre4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-06 10:27:05 UTC
iftop-1.0-0.12.pre4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-12-10 02:51:52 UTC
iftop-1.0-0.12.pre4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.